slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVNorm

Computes the matrix norm of the BV.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVNorm(BV bv,NormType type,PetscReal *val)

Collective

### Input Parameters

| bv | - basis vectors
| type | - the norm type

### Output Parameter

| val | - the norm

### Notes

All active columns (except the leading ones) are considered as a matrix. The allowed norms are NORM_1, NORM_FROBENIUS, and NORM_INFINITY.

This operation fails if a non-standard inner product has been specified with BVSetMatrix().

### See Also

BVNormVec(), BVNormColumn(), BVNormalize(), BVSetActiveColumns(), BVSetMatrix()

### Level

intermediate

### Location

src/sys/classes/bv/interface/bvglobal.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages